List WhatsApp Templates
curl --request GET \
--url https://api.hilos.io/api/channels/whatsapp/template \
--header 'Authorization: <api-key>'import requests
url = "https://api.hilos.io/api/channels/whatsapp/template"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hilos.io/api/channels/whatsapp/template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"name": "<string>",
"language": "af",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "ACCOUNT_UPDATE",
"channel": {
"id": 123,
"channel_id": "<string>",
"channel_type": "WHATSAPP",
"name": "<string>",
"status": "NEW",
"created_on": "2023-11-07T05:31:56Z",
"channel_provider": "META_CLOUD_API",
"is_sandbox": true
},
"components": {},
"status": "draft",
"rejected_reason": "<string>",
"is_deleted": true
}
]
}WhatsApp Templates
List all WhatsApp template
Lists WhatsApp Templates. You can search with the name and status fields using the ?seach=my-template-name query parameter.
GET
/
api
/
channels
/
whatsapp
/
template
List WhatsApp Templates
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Available options:
ACCOUNT_UPDATE, ALERT_UPDATE, APPOINTMENT_UPDATE, AUTHENTICATION, AUTO_REPLY, ISSUE_RESOLUTION, MARKETING, OTP, PAYMENT_UPDATE, PERSONAL_FINANCE_UPDATE, RESERVATION_UPDATE, SHIPPING_UPDATE, TICKET_UPDATE, TRANSACTIONAL, TRANSPORTATION_UPDATE, UTILITY Multiple values may be separated by commas.
Multiple values may be separated by commas.
Which field to use when ordering the results.
A page number within the paginated result set.
Number of results to return per page.
A search term.
Available options:
approved, deleted, disabled, draft, in_appeal, pending, pending_deletion, rejected, submitted Multiple values may be separated by commas.
Was this page helpful?

